Package org.jCharts.chartData

# Class ChartDataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.jCharts.chartData.ChartDataException

All Implemented Interfaces:
  `Serializable`

public class ChartDataException extends Exception

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private Throwable`
`throwable`

## Constructor Summary

Constructors
Constructor
Description
`ChartDataException(String message)`
`ChartDataException(String message, Throwable throwable)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### throwable

private Throwable throwable

## Constructor Details

### ChartDataException

public ChartDataException(String message)

### ChartDataException

public ChartDataException(String message, Throwable throwable)